package org.claros.groupware.calendar.actions;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;

import org.claros.groupware.calendar.models.EventFormBean;
import org.claros.groupware.common.actions.BaseLoggedAction;

/**
 * @version 	1.0
 * @author		Umut Gkbayrak
 */
public class EventActionsAction extends BaseLoggedAction {

	public ActionForward myExecute(ActionMapping mapping, ActionForm form, HttpServletRequest request, HttpServletResponse response) throws Exception {
		EventFormBean bean = (EventFormBean)form;
		request.setAttribute("EventFormBean", bean);
		
		if (bean.getDelete() != null && !bean.getDelete().equals("")) {
			return mapping.findForward("/deleteEvent.do");
		} else {
			return mapping.findForward("/saveEvent.do");
		}
	}
}
