package org.claros.groupware.filters.actions;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;

import org.claros.commons.models.AuthProfile;
import org.claros.groupware.common.actions.BaseLoggedAction;
import org.claros.groupware.filters.controllers.FilterController;
import org.claros.groupware.filters.models.ListFiltersFormBean;

/**
 * @version 	1.0
 * @author		Umut Gkbayrak
 */
public class DeleteFilterAction extends BaseLoggedAction {

	public ActionForward myExecute(ActionMapping mapping, ActionForm form, HttpServletRequest request, HttpServletResponse response) throws Exception {
		ListFiltersFormBean bean = (ListFiltersFormBean)form;
		AuthProfile auth = getAuthProfile(request);
		String filters[] = bean.getFilters();
		if (filters != null) {
			for (int i=0;i<filters.length;i++) {
				FilterController.deleteFilter(auth, new Long(filters[i]));
			}
		}

		return mapping.findForward("/listFilters.do");
	}
}
