package org.claros.groupware.filters.utility;

/**
 * @author Umut Gokbayrak
 */
public class Constants {
	// Keys
	public static final String PORTION_SUBJECT = "portion.subject";
	public static final String PORTION_FROM = "portion.from";
	public static final String PORTION_TO = "portion.to";
	public static final String PORTION_CC = "portion.cc";
	public static final String PORTION_MESSAGE_BODY = "portion.message.body";
	
	public static final String CONDITION_CONTAINS = "condition.contains";
	public static final String CONDITION_EQUALS = "condition.equals";
	public static final String CONDITION_NOT_CONTAINS = "condition.not.contains";

	public static final String ACTION_MOVE = "action.move";
	public static final String ACTION_DELETE = "action.delete";

	// Strings
	public static final String PORTION_SUBJECT_STR = "Subject";
	public static final String PORTION_FROM_STR = "From";
	public static final String PORTION_TO_STR = "To";
	public static final String PORTION_CC_STR = "Cc";
	public static final String PORTION_MESSAGE_BODY_STR = "Message Body";
	
	public static final String CONDITION_CONTAINS_STR = "Contains";
	public static final String CONDITION_EQUALS_STR = "Equals";
	public static final String CONDITION_NOT_CONTAINS_STR = "Does Not Contain";

	public static final String ACTION_MOVE_STR = "Move To Folder";
	public static final String ACTION_DELETE_STR = "Delete";
}
