package org.claros.groupware.notes.actions;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;

import org.claros.commons.models.AuthProfile;
import org.claros.groupware.common.actions.BaseLoggedAction;
import org.claros.groupware.notes.controllers.FolderController;

/**
 * @version 	1.0
 * @author		Umut Gkbayrak
 */
public class EmptyFolderAction extends BaseLoggedAction {

	public ActionForward myExecute(ActionMapping mapping, ActionForm form, HttpServletRequest request, HttpServletResponse response) throws Exception {
		Long folderId = new Long((String)getVariable(request, "folderId"));
		AuthProfile auth = getAuthProfile(request);
		
		FolderController.emptyFolder(auth, folderId);

		return mapping.findForward("/folders.do");
	}
}
