package org.claros.groupware.notes.actions;

import java.util.ArrayList;
import java.util.List;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;
import org.apache.struts.util.LabelValueBean;

import org.claros.commons.models.AuthProfile;
import org.claros.groupware.common.actions.BaseLoggedAction;
import org.claros.groupware.notes.controllers.FolderController;
import org.claros.groupware.notes.models.NotesFolder;

/**
 * @version 	1.0
 * @author
 */
public class NewNoteAction extends BaseLoggedAction {

	public ActionForward myExecute(ActionMapping mapping, ActionForm form, HttpServletRequest request, HttpServletResponse response) throws Exception {
		AuthProfile auth = getAuthProfile(request);
		List folders = FolderController.getFolders(auth);
		ArrayList folList = new ArrayList();
		folList.add(new LabelValueBean("Unfiled", "0"));
		NotesFolder fold = null;
		for (int i=0;i<folders.size();i++) {
			fold = (NotesFolder)folders.get(i);
			folList.add(new LabelValueBean(fold.getFolderName(), fold.getId().toString()));
		}
		request.setAttribute("folders", folList);

		return mapping.findForward("/note.jsp");
	}
}
