package org.claros.groupware.notes.actions;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;

import org.claros.commons.models.AuthProfile;
import org.claros.groupware.common.actions.BaseLoggedAction;
import org.claros.groupware.notes.controllers.FolderController;
import org.claros.groupware.notes.models.FolderFormBean;
import org.claros.groupware.notes.models.NotesFolder;

/**
 * @version 	1.0
 * @author
 */
public class ShowFolderAction extends BaseLoggedAction {

	public ActionForward myExecute(ActionMapping mapping, ActionForm form, HttpServletRequest request, HttpServletResponse response) throws Exception {
		AuthProfile auth = getAuthProfile(request);
		String folderId = (String)getVariable(request, "fid");
		NotesFolder folder = FolderController.getFolderById(auth, new Long(folderId));
		
		FolderFormBean bean = new FolderFormBean();
		bean.setFolderName(folder.getFolderName());
		bean.setId(folder.getId().toString());
		request.setAttribute("FolderFormBean", bean);

		return mapping.findForward("/folder.jsp");
	}
}
