package org.claros.groupware.webmail.actions;

import java.util.ArrayList;

import javax.activation.DataHandler;
import javax.activation.DataSource;
import javax.mail.internet.MimeBodyPart;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;
import org.apache.struts.upload.FormFile;

import org.claros.commons.mail.models.ByteArrayDataSource;
import org.claros.commons.mail.models.EmailPart;
import org.claros.commons.mail.utility.Utility;
import org.claros.groupware.common.actions.BaseLoggedAction;
import org.claros.groupware.webmail.models.*;

/**
 * @version 	1.0
 * @author
 */
public class AttachUploadAction extends BaseLoggedAction {

	public ActionForward myExecute(ActionMapping mapping, ActionForm form, HttpServletRequest request, HttpServletResponse response) throws Exception {
		AttachmentFormBean bean = (AttachmentFormBean) form;
		FormFile file = bean.getAttachFile();
		EmailPart part = null;
		ArrayList parts = (ArrayList)request.getSession().getAttribute("attachments");
		if (parts == null) {
			parts = new ArrayList();
		}

//		for (int i = 0; i < files.length; i++) {
			part = new EmailPart();
			byte[] data = file.getFileData();
			String fileName = file.getFileName();
			String contentType = file.getContentType();
			int size = file.getFileSize();

			MimeBodyPart bodyPart = new MimeBodyPart();
			DataSource ds = new ByteArrayDataSource(data, contentType, fileName);
			bodyPart.setDataHandler(new DataHandler(ds));
			bodyPart.setDisposition("attachment; filename=\"" + fileName + "\"");
			bodyPart.setFileName(fileName);

			part.setDataSource(ds);

			part.setContent(bodyPart.getContent());
			part.setContentType(contentType);
			part.setDisposition(bodyPart.getDisposition());
			part.setFilename(fileName);
			part.setSize(size);
			part.setSizeReadable(Utility.sizeToHumanReadable(size));
			parts.add(part);
			file.destroy();
//		}
		request.getSession().setAttribute("attachments", parts);
		
		return mapping.findForward("/attachStart.do");
	}
}
