package org.claros.groupware.webmail.actions;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;

import org.claros.groupware.common.actions.BaseLoggedPopupAction;
import org.claros.groupware.webmail.models.MailboxFormBean;

/**
 * @version 	1.0
 * @author		Umut Gkbayrak
 */
public class MailboxActionsAction extends BaseLoggedPopupAction {

	public ActionForward myExecute(ActionMapping mapping, ActionForm form, HttpServletRequest request, HttpServletResponse response) throws Exception {
		MailboxFormBean bean = (MailboxFormBean)form;
		String delete = bean.getDelete();
		if (delete != null) {
			return mapping.findForward("/deleteMsgs.do");
		}
		
		String move = bean.getMove();
		if (move != null) {
			return mapping.findForward("/moveMsgs.do");
		}
		return null;
	}
}
