package org.claros.groupware.webmail.models;

/**
 * @author Umut Gokbayrak
 */
public class FolderDbItem {
	private Long id;
	private Long parentId;
	private String user;
	private String folderName;
	private Integer type;

	/**
	 * 
	 */
	public FolderDbItem() {
		super();
	}

	public FolderDbItem(Long id, Long parentId, String user, String folderName, Integer type) {
		this.id = id;
		this.parentId = parentId;
		this.user = user;
		this.folderName = folderName;
		this.type = type;
	}

	/**
	 * @return
	 */
	public String getFolderName() {
		return folderName;
	}

	/**
	 * @return
	 */
	public Long getId() {
		return id;
	}

	/**
	 * @return
	 */
	public String getUser() {
		return user;
	}

	/**
	 * @param string
	 */
	public void setFolderName(String string) {
		folderName = string;
	}

	/**
	 * @param long1
	 */
	public void setId(Long long1) {
		id = long1;
	}

	/**
	 * @param string
	 */
	public void setUser(String string) {
		user = string;
	}

	/**
	 * @return
	 */
	public Integer getType() {
		return type;
	}

	/**
	 * @param integer
	 */
	public void setType(Integer integer) {
		type = integer;
	}

	/**
	 * @return
	 */
	public Long getParentId() {
		return parentId;
	}

	/**
	 * @param long1
	 */
	public void setParentId(Long long1) {
		parentId = long1;
	}

}
