package org.claros.groupware.common.error;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;
import org.claros.commons.exception.ClarosBaseException;
import org.claros.groupware.common.actions.BaseClarosAction;

/**
 * @author Umut Gokbayrak
 */
public class GeneralErrAction extends BaseClarosAction {
	private static Log log = LogFactory.getLog(GeneralErrAction.class);

	/* (non-Javadoc)
	 * @see org.claros.groupware.common.actions.BaseClarosAction#myExecute(org.apache.struts.action.ActionMapping, org.apache.struts.action.ActionForm, javax.servlet.http.HttpServletRequest, javax.servlet.http.HttpServletResponse)
	 */
	public ActionForward myExecute(ActionMapping mapping, ActionForm form, HttpServletRequest request, HttpServletResponse response) throws Exception {
		ActionForward forward = mapping.findForward("/general_error.jsp");

		Object e = request.getAttribute("myexception");
		if (e != null) {
			if (e instanceof ClarosBaseException) {
				ClarosBaseException myEx = (ClarosBaseException)e;
				log.error(myEx);
			}
		}
		return forward;
	}
}
