package org.claros.groupware.notes.actions;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;

import org.claros.commons.models.AuthProfile;
import org.claros.groupware.common.actions.BaseLoggedAction;
import org.claros.groupware.notes.controllers.NotesController;
import org.claros.groupware.notes.models.ListNotesFormBean;

/**
 * @version 	1.0
 * @author		Umut Gkbayrak
 */
public class DeleteNoteAction extends BaseLoggedAction {

	public ActionForward myExecute(ActionMapping mapping, ActionForm form, HttpServletRequest request, HttpServletResponse response) throws Exception {
		ListNotesFormBean bean = (ListNotesFormBean)form;
		String notes[] = bean.getNote();
		if (notes != null) {
			Long id = null;
			AuthProfile auth = getAuthProfile(request);
			for (int i=0;i<notes.length;i++) {
				id = new Long(notes[i]);
				NotesController.deleteNote(auth, id);
			}
		}
		return mapping.findForward("/listNotes.do");
	}
}
