package org.claros.groupware.preferences.models;

import org.apache.struts.action.ActionForm;

/**
 * Form bean for a Struts application.
 * Users may access 5 fields on this form:
 * <ul>
 * <li>signature - [your comment here]
 * <li>fullname - [your comment here]
 * <li>replyToAddress - [your comment here]
 * <li>fromAddress - [your comment here]
 * <li>mailFormat - [your comment here]
 * </ul>
 * @version 	1.0
 * @author
 */
public class PrefFormBean extends ActionForm {

	private String fullname = null;
	private String signature = null;
	private String replyToAddress = null;
	private String fromAddress = null;
	private String mailFormat = null;
	private String displayType = null;
	private String timeZone = null;
	private String calendarHour = null;
	private String dayStarts = null;
	private String spamAnalysis = null;
	private String spamUserAccepts = null;
	private String deleteFetched = null;
	private String saveSent = null;
	private String signaturePos = null;
	private String safeContacts = null;
	private String showNews = null;
	private String newsUrl = null;

	/**
	 * Get fullname
	 * @return String
	 */
	public String getFullname() {
		return fullname;
	}

	/**
	 * Set fullname
	 * @param <code>String</code>
	 */
	public void setFullname(String f) {
		this.fullname = f;
	}

	/**
	 * Get signature
	 * @return String
	 */
	public String getSignature() {
		return signature;
	}

	/**
	 * Set signature
	 * @param <code>String</code>
	 */
	public void setSignature(String s) {
		this.signature = s;
	}

	/**
	 * Get replyToAddress
	 * @return String
	 */
	public String getReplyToAddress() {
		return replyToAddress;
	}

	/**
	 * Set replyToAddress
	 * @param <code>String</code>
	 */
	public void setReplyToAddress(String r) {
		this.replyToAddress = r;
	}

	/**
	 * Get fromAddress
	 * @return String
	 */
	public String getFromAddress() {
		return fromAddress;
	}

	/**
	 * Set fromAddress
	 * @param <code>String</code>
	 */
	public void setFromAddress(String f) {
		this.fromAddress = f;
	}

	/**
	 * Get mailFormat
	 * @return String
	 */
	public String getMailFormat() {
		return mailFormat;
	}

	/**
	 * Set mailFormat
	 * @param <code>String</code>
	 */
	public void setMailFormat(String m) {
		this.mailFormat = m;
	}

	/**
	 * @return
	 */
	public String getDisplayType() {
		return displayType;
	}

	/**
	 * @param string
	 */
	public void setDisplayType(String string) {
		displayType = string;
	}

	/**
	 * @return
	 */
	public String getTimeZone() {
		return timeZone;
	}

	/**
	 * @param string
	 */
	public void setTimeZone(String string) {
		timeZone = string;
	}

	/**
	 * @return
	 */
	public String getCalendarHour() {
		return calendarHour;
	}

	/**
	 * @param string
	 */
	public void setCalendarHour(String string) {
		calendarHour = string;
	}

	/**
	 * @return
	 */
	public String getDayStarts() {
		return dayStarts;
	}

	/**
	 * @param string
	 */
	public void setDayStarts(String string) {
		dayStarts = string;
	}

	/**
	 * @return
	 */
	public String getSpamAnalysis() {
		return spamAnalysis;
	}

	/**
	 * @param string
	 */
	public void setSpamAnalysis(String string) {
		spamAnalysis = string;
	}

	/**
	 * @return
	 */
	public String getSpamUserAccepts() {
		return spamUserAccepts;
	}

	/**
	 * @param string
	 */
	public void setSpamUserAccepts(String string) {
		spamUserAccepts = string;
	}

	/**
	 * @return
	 */
	public String getDeleteFetched() {
		return deleteFetched;
	}

	/**
	 * @param string
	 */
	public void setDeleteFetched(String string) {
		deleteFetched = string;
	}

	/**
	 * @return
	 */
	public String getSaveSent() {
		return saveSent;
	}

	/**
	 * @param string
	 */
	public void setSaveSent(String string) {
		saveSent = string;
	}

	/**
	 * @return
	 */
	public String getSignaturePos() {
		return signaturePos;
	}

	/**
	 * @param string
	 */
	public void setSignaturePos(String string) {
		signaturePos = string;
	}

	/**
	 * @return
	 */
	public String getSafeContacts() {
		return safeContacts;
	}

	/**
	 * @param string
	 */
	public void setSafeContacts(String string) {
		safeContacts = string;
	}

	/**
	 * @return
	 */
	public String getNewsUrl() {
		return newsUrl;
	}

	/**
	 * @return
	 */
	public String getShowNews() {
		return showNews;
	}

	/**
	 * @param string
	 */
	public void setNewsUrl(String string) {
		newsUrl = string;
	}

	/**
	 * @param string
	 */
	public void setShowNews(String string) {
		showNews = string;
	}

}
