package org.claros.groupware.profiling.actions;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;
import org.claros.commons.mail.models.ConnectionProfileList;
import org.claros.groupware.common.actions.BaseClarosAction;

/**
 * @version 	1.0
 * @author		Umut Gkbayrak
 */
public class LoginStartAction extends BaseClarosAction {

	/* (non-Javadoc)
	 * @see org.claros.groupware.common.actions.BaseClarosAction#myExecute(org.apache.struts.action.ActionMapping, org.apache.struts.action.ActionForm, javax.servlet.http.HttpServletRequest, javax.servlet.http.HttpServletResponse)
	 */
	public ActionForward myExecute(ActionMapping mapping, ActionForm form, HttpServletRequest request, HttpServletResponse response) throws Exception {
		ActionForward forward = mapping.findForward("login.jsp");
		request.setAttribute("connectionProfiles", ConnectionProfileList.getConList());
		
		return forward;
	}
}
