package org.claros.groupware.webmail.actions;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;

import org.claros.groupware.common.actions.BaseLoggedAction;
import org.claros.groupware.webmail.models.ComposeFormBean;

/**
 * @version 	1.0
 * @author		Umut Gokbayrak
 */
public class ComposeActionAction extends BaseLoggedAction {

	public ActionForward myExecute(ActionMapping mapping, ActionForm form, HttpServletRequest request, HttpServletResponse response) throws Exception {
		ActionForward forward = null;
		ComposeFormBean bean = (ComposeFormBean)form;
		String action = bean.getAction();
		if (action != null) {
			if (action.equals("1")) {		// send message
				forward = mapping.findForward("/composeEnd.do");
			} else if (action.equals("2")) {
				forward = mapping.findForward("/attachStart.do");
			}
		}
		return forward;
	}
}
