package org.claros.groupware.webmail.controllers;

import java.util.ArrayList;
import java.util.List;

import org.claros.groupware.webmail.models.FolderDbItem;

/**
 * @author Umut Gokbayrak
 */
public interface FolderController {
	public List getFolders() throws Exception;
	public FolderDbItem getFolder(String folder) throws Exception;
	public List getMailsByFolder(String folder) throws Exception;
	public void createFolder(FolderDbItem item) throws Exception;
	public Integer countUnreadMessages(String folder) throws Exception;
	public Integer countTotalMessages(String folder) throws Exception;
	public void emptyFolder(String folder) throws Exception;
	public void deleteFolder(String folder) throws Exception;
	public void renameFolder(String oldName, String newName) throws Exception;
	public ArrayList getHeadersByFolder(String folder) throws Exception;
	public void createDefaultFolders() throws Exception;
	public FolderDbItem getJunkFolder() throws Exception;
	public FolderDbItem getInboxFolder() throws Exception;
	public FolderDbItem getSentItems() throws Exception;
	
}
