package org.claros.groupware.webmail.controllers;

import org.claros.commons.mail.models.Email;
import org.claros.groupware.webmail.models.EmailDbItem;

/**
 * @author Umut Gokbayrak
 */
public interface MailController {
	public Email getEmailById(Long emailId) throws Exception;
	public void deleteEmail(Long emailId) throws Exception;
	public void deleteEmails(int msgs[]) throws Exception;
	public void moveEmail(Long msgId, String destFolder) throws Exception;
	public void appendEmail(EmailDbItem item) throws Exception;
	public void markAsRead(Long msgId) throws Exception;
}
